axis2客户端需要使用的最少jar包

 

 

 

axis2客户端jar包太多,全部加载会影响效率,偶尔也会存在冲突问题。网上有人说 axis2客户端需要使用的最少jar包 如下:

总结客户端必须加载:
activation-1.1.jar
axiom-api-1.2.4.jar
axiom-impl-1.2.4.jar
axis2-adb-1.2.jar
axis2-adb-codegen-1.2.jar
axis2-codegen-1.2.jar
axis2-java2wsdl-1.2.jar
axis2-kernel-1.2.jar
commons-codec-1.3.jar
commons-httpclient-3.0.1.jar
commons-logging-1.1.jar
stax-api-1.0.1.jar
wsdl4j-1.6.2.jar
wstx-asl-3.2.1.jar
XmlSchema-1.3.1.jar

自己使用adb方式调用下,实际需要最少jar包 如下:

activation-1.1.jar
axiom-api-1.2.2.jar
axiom-impl-1.2.2.jar
axis2-adb-1.1.1.jar
axis2-kernel-1.1.1.jar
commons-codec-1.3.jar
commons-httpclient-3.0.1.jar
commons-logging-1.1.jar
stax-api-1.0.1.jar
wsdl4j-1.6.2.jar
wstx-asl-3.2.1.jar
XmlSchema-1.3.1.jar

已标记关键词 清除标记
©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页